package
{
	import org.flixel.FlxG;
	import org.flixel.FlxPoint;
	import org.flixel.FlxSprite;
	
	public class Player extends FlxSprite
	{
		[Embed(source = "data/player.png")] public static var Image:Class;
		public function Player(X:Number, Y:Number)
		{
			super(X, Y, null);
			this.loadGraphic(Image,true,true,9,12);
			this.width=7;
			this.height=4;
			this.offset.x=1;
			this.offset.y=8;
			this.addAnimation("idle",[0],2);
			this.addAnimation("idleright",[5],2);
			this.addAnimation("walk",[1,2],4);
			this.addAnimation("walkup",[6,7],4);
			this.addAnimation("walkright",[3,4],4);
			//this.addAnimation("jump",[1],2);
			this.play("bop");	
			this.solid=true;
			this.maxVelocity.x=80;
			this.maxVelocity.y=80;
			this.drag = new FlxPoint(400,400);
		//	this.acceleration.y=300;
		}
		
		override public function update():void
		{
			var toPlay:String;
			this.facing=FlxSprite.RIGHT;
			
			toPlay="idle";
			
			if (FlxG.keys.LEFT)
			{
				toPlay = "walkright";
				this.facing=FlxSprite.LEFT;
				velocity.x-=10;
			}
			if (FlxG.keys.RIGHT)
			{
				toPlay = "walkright";
				this.facing=FlxSprite.RIGHT;
				velocity.x+=10;
			}
			if (FlxG.keys.UP)
			{
				toPlay = "walkup";
				//this.facing=FlxSprite.LEFT;
				velocity.y-=10;
			}
			if (FlxG.keys.DOWN)
			{
				toPlay = "walk";
				//this.facing=FlxSprite.RIGHT;
				velocity.y+=10;
			}
		
			this.play(toPlay);
			
			super.update();
			
			if (this.x<0)
				this.x=0;
			if (this.x>FlxG.width-this.width)
				this.x=FlxG.width-this.width;
			if (this.y<32)
			{
				this.y=32;
				if (this.x>60 && this.x<73)
				{
					DialogState.Ending=4+Math.random()*3;
					FlxG.state = new DialogState();
				}
				if (this.x>93 && this.x<103)
				{
					DialogState.Ending=3;
					FlxG.state = new DialogState();
				}

			}
		}
	}
	
}